      subroutine set_nudgcof_fine (tile)      


      use Agrif_Util
#include "Param_BeforeCall_set_nudgcof_fine.h"
      integer(4) :: tile
      

        call Sub_Loop_set_nudgcof_fine(tile, Agrif_tabvars_i(15)%iarray0
     &, Agrif_tabvars(117)%array3, Agrif_tabvars_i(8)%iarray0, Agrif_tab
     &vars_i(7)%iarray0, Agrif_tabvars_i(16)%iarray0)

      end


#include "Sub_Loop_set_nudgcof_fine.h"
      subroutine set_nudgcof_fine_tile (Istr,Iend,Jstr,Jend, wrk)      


      use Agrif_Util
#include "Param_BeforeCall_set_nudgcof_fine_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: wrk
      

        call Sub_Loop_set_nudgcof_fine_tile(Istr,Iend,Jstr,Jend,wrk, Agr
     &if_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvar
     &s_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(131)%ar
     &ray2, Agrif_tabvars(133)%array2, Agrif_tabvars(134)%array2, Agrif_
     &tabvars_r(3)%array0, Agrif_tabvars(103)%array2, Agrif_tabvars(104)
     &%array2, Agrif_tabvars(135)%array2, Agrif_tabvars_i(3)%iarray0, Ag
     &rif_tabvars_i(11)%iarray0, Agrif_tabvars_i(1)%iarray0, Agrif_tabva
     &rs_i(9)%iarray0, Agrif_tabvars_l(13)%larray0, Agrif_tabvars_i(8)%i
     &array0, Agrif_tabvars_l(14)%larray0, Agrif_tabvars_l(11)%larray0, 
     &Agrif_tabvars_i(7)%iarray0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_set_nudgcof_fine_tile.h"
